package com.javamonkey.gui;

/*
 * Copyright (c) 1999 Peter Seibel
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

import java.awt.*;
import javax.swing.*;
import javax.swing.*;
import java.util.*;
import java.util.List;
import javax.swing.border.*;

/**
 * A simple panel for setting a set of name/value pairs.
 *
 * @version $Id: //depot/macaca/src/com/javamonkey/gui/SimpleOptionsPanel.java#1 $
 */
public class SimpleOptionsPanel extends JComponent {

  private LayoutManager layoutManager = null;

  private List optionNames = null;
  
  public SimpleOptionsPanel(List opts) {
    optionNames = new ArrayList(opts);
    setLayout(layoutManager());
    Iterator i = optionNames.iterator();
    while (i.hasNext()) {
      String name = (String)i.next();
      JLabel label = new JLabel(name);
      JTextField field = new JTextField();
      add(label);
      add(field);
    }
  }

  LayoutManager layoutManager() {
    if (layoutManager == null) {
      layoutManager = new GridLayout(optionNames.size(), 2);
    }
    return layoutManager;
  }
  
  
  public static void main(String[] argv) {
    JFrame f = new JFrame();
    f.getContentPane().add(new SimpleOptionsPanel(Arrays.asList(argv)));
    f.pack();
    f.show();
  }
}



