package com.javamonkey.test;

import java.util.Iterator;

/*
 * Copyright (c) 1999 Peter Seibel
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

/**
 * A subclass of AutoTest that can be run multiple times with
 * different test data.
 */
public abstract class DataDrivenAutoTest extends AutoTest {

  public abstract Iterator getTestData();
  public abstract void initialize(TestData data);

  public void run() {
    Iterator i = getTestData();
    String baseName = getName();
    while (i.hasNext()) {
      reset();
      TestData data = (TestData)i.next();
      setName(baseName + "-" + data.getName());
      initialize(data);
      super.run();
    }
  }
}









