package com.javamonkey.test;

/*
 * Copyright (c) 1999 Peter Seibel
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

import java.text.*;

/**
 * A command line test runner.
 *
 * @version $Id: //depot/macaca/src/com/javamonkey/test/Run.java#1 $
 */
public class Run {

  public static void main(String[] argv) throws Exception {

    Class testClass = Class.forName(argv[0]);
    
    TestRunner runner = new TestRunner(testClass);

    runner.run();
    
    format("Passed", runner.getSuccesses(), runner.getSuccessPercentage());
    format("Failed", runner.getFailures(), runner.getFailurePercentage());
    format("Skipped", runner.getSkipped(), runner.getSkippedPercentage());
    format("Aborted", runner.getAborted(), runner.getAbortedPercentage());
  }

  private static void format(String label, int number, double percent) {
    NumberFormat format = new DecimalFormat("0.00%");

    StringBuffer buf = new StringBuffer(label);
    buf.append(": ")
      .append(number)
      .append(" (")
      .append(format.format(percent))
      .append(")");
    System.out.println(buf);
  }
  

  private static void say(String msg) {
    System.out.println(msg);
  }
  
}



