package com.javamonkey.utils;

/**
 * An extension of Error used to indicate that an program invariant
 * has been violated. This error is thrown by the various assert() and
 * panic() methods of the Debug class.
 */

public class AssertionError extends Error {

  private Throwable root;

  /**
   * Make a new AssertionError with no message.
   */
  public AssertionError() {
  }

  /**
   * Make a new AssertionError with the given message.
   */
  public AssertionError(String message) {
    super(message);
  }

  public AssertionError(Throwable t) {
    root = t;
  }
}
