package com.javamonkey.test;

import java.util.Iterator;

/*
 * Copyright (c) 1999 Peter Seibel
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

/**
 * Unit test for com.javamonkey.test.AutoTest.
 *
 * @version $Id: //depot/macaca/tests/com/javamonkey/test/AutoTestTest.java#2 $
 */
public class DataDrivenAutoTestTest extends DataDrivenAutoTest {

  private int i;
  private int expected = 1;

  public Iterator getTestData() {
    return new TestDataIterator();
  }

  public void initialize(TestData data) {
    i = ((Integer)data.getData()).intValue();
  }

  public boolean testI() {
    return expect(expected++, i);
  }

  private class TestDataIterator implements Iterator {
    private int count = 0;
    public boolean hasNext() { return count < 10; }
    public Object next() {
      count++;
      return new TestData("subcase-" + count, new Integer(count));
    }
    public void remove() { throw new UnsupportedOperationException(); }
  }
}








